Subject: Check CldrModelCollection::getRawArray() for correct behaviour
Description

The CldrModelCollection::getRawArray() method is supposed to always return an array, but sometimes the given path leads to a
literal value. http://review.typo3.org/175 adds some fix for this to avoid an error in those cases, but this needs to be check in detail.

Associated revisions
Revision 07ebe763 - 2010-10-28 23:10 - Karol Gusak

[~TASK] FLOW3 (I18n): Make CldrModel::getRawArray() always return array or FALSE

The method getRawArray() now returns array (or FALSE on failure).
Additionally, a new method called getRawData() returns array or string
(if the path points to a leaf).

Resolves: #10316
Change-Id: I78e7862039b92f8b5f945ba3a4c55659e3af37c5

History
#1 - 2010-10-18 17:03 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karol Gusak

Karol, could you check this, please?

#2 - 2010-10-18 20:54 - Karol Gusak
- Status changed from Needs Feedback to Under Review

Sure, I will check this and other changes from the review soon (I glimpsed on them but I have some doubts about the models).

#3 - 2010-10-18 22:19 - Karsten Dambekalns
- Status changed from Under Review to Accepted

Great, thanks Karol! If you need help with Gerrit (for the patch set review), let me know.
#4 - 2010-10-28 23:15 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/244

#5 - 2010-10-29 10:00 - Karol Gusak
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"07ebe7635eeccd8afd4ba18eade8f9cde88ed73e".
